Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.renderkit.html.images
Enum GradientType

    java.lang.Object
      java.lang.Enum<GradientType>
          org.richfaces.renderkit.html.images.GradientType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GradientType>

    public enum GradientType

extends java.lang.Enum<GradientType>

Author:
  Nick Belaevski mailto:nbelaevski@exadel.com created 16.04.2008

Nested Class Summary
`static class` | `GradientType.BiColor`

Enum Constant Summary
`glass`
`plain`
`plastic`

Method Summary
`static GradientType` | `getByParameter(java.lang.String string)`
`abstract GradientType.BiColor` | `getFirstLayerColors(GradientType.BiColor biColor)`
`abstract GradientType.BiColor` | `getSecondLayerColors(GradientType.BiColor biColor)`
`static GradientType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GradientType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### glass

    public static final GradientType glass

### plastic

    public static final GradientType plastic

### plain

    public static final GradientType plain

Method Detail

### values

    public static GradientType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GradientType c : GradientType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GradientType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getByParameter

    public static final GradientType getByParameter(java.lang.String string)

### getFirstLayerColors

    public abstract GradientType.BiColor getFirstLayerColors(GradientType.BiColor biColor)

### getSecondLayerColors

    public abstract GradientType.BiColor getSecondLayerColors(GradientType.BiColor biColor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.